events{}

http {

upstream frontend {
    server frontend:80;
  }
upstream backend { 
    server backend:8080;
  }



server {
  listen 80;
  server_name student.test.com;

  location ~(/student/add/|/student/getAll) { 
    proxy_pass      http://backend;
  }

  location ~ (/) {
    proxy_pass    http://frontend;
  }
  

}
}